# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-11-11 18:46
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython


def forwards_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    Range = apps.get_model("offer", "Range")
    index = 0
    for range in Range.objects.all():
        range.order_field = index
        range.save()
        index += 1


class Migration(migrations.Migration):

    dependencies = [
        ('offer', '0020_auto_20171111_2128'),
    ]

    operations = [
        RunPython(forwards_func)
    ]
